Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.client.common
Class WLPI

    java.lang.Object
      |
      +--com.bea.wlpi.client.common.WLPI

public final class WLPI
extends java.lang.Object

Provides a standard way to connect to a WebLogic Process Integrator server and access resources therein.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected static int` | `MAX_TRY_COUNT`
`protected static java.lang.String` | `PERMISSION_HOME_JNDI`
`protected static java.lang.String` | `PLUGIN_MANAGER_CFG_JNDI`
`protected static java.lang.String` | `PLUGIN_MANAGER_JNDI`
`protected static java.lang.String` | `WEBLOGIC_REALM`

Constructor Summary
`WLPI()` Create a new `WLPI` object.

Method Summary
`boolean` | `allowSecurityRealmUpdates()` Check whether the installed security realm is both manageable and persistent.
`boolean` | `connect(java.awt.Frame owner, java.lang.String url, java.lang.String userID, java.lang.String password)` Connect to WebLogic Integration server using the specified parameters.
`boolean` | `connect(java.awt.Frame owner, java.lang.String url, java.lang.String userID, java.lang.String password, int maxRetries, boolean autoLogon, boolean graphical)` Connect to WebLogic Integration server using the specified parameters.
`void` | `disconnect()` Disconnect from WebLogic Process Integrator server.
`Admin` | `getAdmin()` Return a reference to an `Admin` EJB object.
`EJBCatalog` | `getCatalog()` Return a reference to an `EJBCatalog` EJB object.
`javax.naming.Context` | `getInitialContext()` Return the host application's JNDI context.
`Permission` | `getPermission()` Return a reference to a `Permission` EJB object.
`PluginManager` | `getPluginManager()` Return a reference to a `PluginManager` EJB object.
`PluginManagerCfg` | `getPluginManagerCfg()` Return a reference to a `PluginManagerCfg` EJB object.
`WLPIPrincipal` | `getPrincipal()` Return a reference to a `WLPIPrincipal` EJB object.
`XMLRepository` | `getRepository()` Return a reference to an `XMLRepository` EJB object.
`ServerProperties` | `getServerProperties()` Return a reference to a `ServerProperties` EJB object.
`VersionInfo` | `getServerTemplateDefinitionVersion()` Return the template definition version supported by the server.
`VersionInfo` | `getServerVersion()` Return the server version.
`java.lang.String` | `getUrl()` Return the WebLogic Process Integrator server URL.
`java.lang.String` | `getUserId()` Return the WebLogic Process Integrator user ID.
`Worklist` | `getWorklist()` Return a reference to a `Worklist` EJB object.
`boolean` | `isConnected()` Check whether this `WLPI` instance is connected to a server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### WEBLOGIC_REALM

    protected static final java.lang.String WEBLOGIC_REALM

### PLUGIN_MANAGER_JNDI

    protected static final java.lang.String PLUGIN_MANAGER_JNDI

### PLUGIN_MANAGER_CFG_JNDI

    protected static final java.lang.String PLUGIN_MANAGER_CFG_JNDI

### PERMISSION_HOME_JNDI

    protected static final java.lang.String PERMISSION_HOME_JNDI

### MAX_TRY_COUNT

    protected static final int MAX_TRY_COUNT

Constructor Detail

### WLPI

    public WLPI()

  Create a new `WLPI` object.

Method Detail

### allowSecurityRealmUpdates

    public boolean allowSecurityRealmUpdates()

  Check whether the installed security realm is both manageable and persistent.

  Returns:
    `true` If realm is both manageable and persistent.
  Throws:
    java.lang.IllegalStateException - if not connected.

### connect

    public boolean connect(java.awt.Frame owner,
                           java.lang.String url,
                           java.lang.String userID,
                           java.lang.String password)

  Connect to WebLogic Integration server using the specified parameters.

  Parameters:
    `owner` - The window that is to be the owner for message boxes and dialogs. `null` for a non-graphical logon using console i/o.
    `url` - The WebLogic Integration server URL.
    `userID` - The WebLogic Integration user's ID.
    `password` - The user's password.
  Throws:
    java.lang.IllegalStateException - if already connected.
  See Also:
    `disconnect()`

### connect

    public boolean connect(java.awt.Frame owner,
                           java.lang.String url,
                           java.lang.String userID,
                           java.lang.String password,
                           int maxRetries,
                           boolean autoLogon,
                           boolean graphical)

  Connect to WebLogic Integration server using the specified parameters.

  Parameters:
    `owner` - The window that is to be the owner for message boxes and dialogs. `null` for a non-graphical logon using console i/o.
    `url` - The WebLogic Integration server URL.
    `userID` - The WebLogic Integration user's ID.
    `password` - The user's password.
    `maxRetries` - The maximum number of retries permitted.
    `autoLogon` - `true` to attempt a logon using the supplied values, `false`for an initial confirmatory dialog with the user before performing the logon.
    `graphical` - `true` to perform a graphical dialog with the user.
  Throws:
    java.lang.IllegalStateException - if already connected.
  Since:
    WebLogic Integration 7.0
  See Also:
    `disconnect()`

### disconnect

    public void disconnect()

  Disconnect from WebLogic Process Integrator server. Calls remove on all EJB session beans.

  See Also:
    `connect(java.awt.Frame, java.lang.String, java.lang.String, java.lang.String)`

### isConnected

    public boolean isConnected()

  Check whether this `WLPI` instance is connected to a server.

  Returns:
    `true` if connected.

### getInitialContext

    public javax.naming.Context getInitialContext()

  Return the host application's JNDI context. The host application returns a JNDI context containing the same security context as it uses itself. The caller must not close this context.

  Returns:
    A JNDI context.

### getUrl

    public java.lang.String getUrl()

  Return the WebLogic Process Integrator server URL.

  Returns:
    The WebLogic Process Integrator server URL (`null` if not logged on).

### getUserId

    public java.lang.String getUserId()

  Return the WebLogic Process Integrator user ID.

  Returns:
    The WebLogic Process Integrator user ID (`null` if not logged on).

### getAdmin

    public Admin getAdmin()
                   throws WorkflowException

  Return a reference to an `Admin` EJB object.

  Returns:
    A reference to an `Admin` EJB object.
  Throws:
    java.lang.IllegalStateException - if not connected.
    WorkflowException - if an exception occurred.
  See Also:
    `getCatalog()`, `getPrincipal()`, `getWorklist()`

### getCatalog

    public EJBCatalog getCatalog()
                          throws WorkflowException

  Return a reference to an `EJBCatalog` EJB object.

  Returns:
    A reference to an `EJBCatalog` EJB object.
  Throws:
    java.lang.IllegalStateException - if not connected.
    WorkflowException - if an exception occurred.
  See Also:
    `getAdmin()`, `getPrincipal()`, `getWorklist()`

### getPrincipal

    public WLPIPrincipal getPrincipal()
                               throws WorkflowException

  Return a reference to a `WLPIPrincipal` EJB object.

  Returns:
    A reference to a `WLPIPrincipal` EJB object.
  Throws:
    java.lang.IllegalStateException - if not connected.
  See Also:
    `getAdmin()`, `getCatalog()`, `getWorklist()`

### getPermission

    public final Permission getPermission()
                                   throws WorkflowException

  Return a reference to a `Permission` EJB object.

  Returns:
    A reference to a `Permission` EJB object.
  Throws:
    java.lang.IllegalStateException - if not connected.
    WorkflowException - if an exception occurred.
  Since:
    WebLogic Process Integrator 2.0

### getWorklist

    public Worklist getWorklist()
                         throws WorkflowException

  Return a reference to a `Worklist` EJB object.

  Returns:
    A reference to a `Worklist EJB` object.
  Throws:
    java.lang.IllegalStateException - if not connected.
    WorkflowException - if an exception occurred.
  See Also:
    `getAdmin()`, `getCatalog()`, `getPrincipal()`

### getServerProperties

    public final ServerProperties getServerProperties()
                                               throws WorkflowException

  Return a reference to a `ServerProperties` EJB object.

  Returns:
    A reference to a `ServerProperties` object.
  Throws:
    java.lang.IllegalStateException - if not connected.
  See Also:
    `getAdmin()`, `getCatalog()`, `getPrincipal()`, `getServerVersion()`, `getServerTemplateDefinitionVersion()`

### getPluginManager

    public final PluginManager getPluginManager()
                                         throws WorkflowException

  Return a reference to a `PluginManager` EJB object.

  Returns:
    A reference to a `PluginManager` object.
  Throws:
    java.lang.IllegalStateException - if not connected.
  See Also:
    `getAdmin()`, `getCatalog()`, `getPluginManagerCfg()`, `getPrincipal()`, `getServerVersion()`, `getServerTemplateDefinitionVersion()`

### getPluginManagerCfg

    public final PluginManagerCfg getPluginManagerCfg()
                                               throws WorkflowException

  Return a reference to a `PluginManagerCfg` EJB object.

  Returns:
    A reference to a `PluginManagerCfg` object.
  Throws:
    java.lang.IllegalStateException - if not connected.
  See Also:
    `getAdmin()`, `getCatalog()`, `getPluginManager()`, `getPrincipal()`, `getServerVersion()`, `getServerTemplateDefinitionVersion()`

### getRepository

    public XMLRepository getRepository()
                                throws WorkflowException

  Return a reference to an `XMLRepository` EJB object.

  Returns:
    A reference to an `XMLRepository` EJB object.
  Throws:
    java.lang.IllegalStateException - if not connected.
    WorkflowException - if an exception occurred.
  See Also:
    `getAdmin()`, `getPrincipal()`, `getWorklist()`

### getServerVersion

    public VersionInfo getServerVersion()
                                 throws WorkflowException

  Return the server version.

  Returns:
    an object representing the server's version number.

### getServerTemplateDefinitionVersion

    public VersionInfo getServerTemplateDefinitionVersion()
                                                   throws WorkflowException

  Return the template definition version supported by the server.

  Returns:
    the template definition version.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)